﻿<?php include('tpl.config.php'); ?>
<!DOCTYPE html>
<html>
<head lang="en">
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1"/>
    <title><?= $title_page ?></title>
    <meta name="description" content="<?= $site_description ?>">
    <meta name="keywords" content="<?= $site_keyword ?>">


    <script src="<?= $currentPath ?>ibe/js/jquery.js"></script>
    <script src="<?= $currentPath ?>ibe/js/bootstrap.js"></script>
    <script src="<?= $currentPath ?>ibe/js/jquery.lightbox.js"></script>
    <script src="<?= $currentPath ?>ibe/js/jquery-ui.js"></script>
    <script src="<?= $currentPath ?>ibe/js/booking.js"></script>


    <link rel="stylesheet" href="<?= $currentPath ?>ibe/css/jquery-ui.css?=v3">
    <link rel="stylesheet" href="<?= $currentPath ?>ibe/css/bootstrap.css">
    <link rel="stylesheet" href="<?= $currentPath ?>ibe/css/font-awesome-4.4.0/css/font-awesome.css">
    <link rel="stylesheet" href="<?= $currentPath ?>ibe/css/ibecss.css">
    <link rel="stylesheet" href="<?= $currentPath ?>ibe/css/newibe.css">

</head>
<body>
<form name="form_booking" action="<?= $action_form ?>" method="get">
    <input type="hidden" name="hotel_id" value="<?= $hotel_id ?>">
    <section class="page_wrapper">
        <div class="page_container">
            <div class="page_booking">
                <div class="block_header">
                    <img src="<?= $currentPath ?>ibe/logo.png" alt=""/>
                </div>
                <div class="block_form">
                    <h1><?= $title_h1 ?></h1>

                    <p><?= $title_p ?></p>
                    <ul>
                        <li>
                            <div class="content-reser">
                                <label class="text-reser">Check In : </label>

                                <div class="reservation-check">
                                    <input class="input-in-out" type="text" id="indate" name="check_in"
                                           readonly="readonly"/>
                                </div>
                                <i class="fa fa-calendar arrow-index" aria-hidden="true"></i>
                            </div>
                        </li>
                        <li>
                            <div class="content-reser">
                                <label class="text-reser">Check Out : </label>

                                <div class="reservation-check">
                                    <input class="input-in-out" type="text" id="outdate" name="check_out"
                                           readonly="readonly" onchange="dateDifference();"/>
                                </div>
                                <i class="fa fa-calendar arrow-index" aria-hidden="true"></i>
                            </div>
                        </li>
                        <li>
                            <div class="content-reser">
                                <label class="text-reser">Nights : </label>

                                <div class="reservation-check">
                                    <input class="input-in-out" type="text" id="night" value="1" readonly/>
                                </div>
                            </div>
                        </li>
                        <li>
                            <div class="content-reser">
                                <label class="text-reser">Rooms : </label>

                                <div class="reservation-check">
                                    <select class="input-room" id="chknoofroom" name="chknoofroom"
                                            onchange="javascript: displayNumberOfrooms(this.value, 'main-page');">
                                        <option value="1">1</option>
                                        <option value="2">2</option>
                                        <option value="3">3</option>
                                    </select>
                                </div>
                                <i class="fa fa-angle-down arrow-index" aria-hidden="true"></i>
                            </div>
                        </li>
                        <li style="width: 100%!important;">
                            <div class="content-reser">
                                <div id="numberrroomRow" class="numberroom">
                                    <label>Number Of Room</label>
                                    <label id="numberOfRoom1">1/1</label>
                                </div>
                                <div id="numOfroom"></div>
                                <div class="form-group">
                                    <div id="adultRoom1" class="input-group select-no-rd select-wrapper">
                                        <div class="input-group-addon">Adults</div>
                                        <i class="fa fa-angle-down arrow" aria-hidden="true"></i>
                                        <select class="no-radius select-form" id="chknoadult" name="total_adult[0]">
                                            <option value="1">1</option>
                                            <option value="2">2</option>
                                            <option value="3">3</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div id="childRoom1" class="input-group select-no-rd select-wrapper">
                                        <div class="input-group-addon">Children</div>
                                        <i class="fa fa-angle-down arrow" aria-hidden="true"></i>
                                        <select class="no-radius select-form" id="chknochild" name="total_child[0]"
                                                onchange="javascript: displayAgeOfChildren2(this.value,1);">
                                            <option value="0">0</option>
                                            <option value="1">1</option>
                                            <option value="2">2</option>
                                            <option value="3">3</option>
                                        </select>
                                    </div>
                                </div>
                                <div id="ageRow1" style="display: none;">
                                    <label class="text-reser">Age of Children (Yrs)</label>
                                </div>
                                <div id="ageOfChildren1"></div>
                                <div id="total_adult_child"></div>
                            </div>
                        </li>
                        <li style="width: 100%!important;">
                            <div class="content-reser">
                                <div id="btn-booknow">
                                    <input class="btnbook-reser" type="submit" value="Book Now">
                                </div>
                            </div>
                        </li>
                    </ul>

                    <!--------------------------------------------------->
                    <!--------------Current No. of Children-------------->
                    <input type="hidden" id="current_no_children1" value="0">
                    <input type="hidden" id="current_no_rooms" value="1">
                    <!--------------------------------------------------->
                </div>

            </div>
        </div>
    </section>
</form>
</body>
</html>



 
